<Project Sdk="Microsoft.NET.Sdk.Web">

  <PropertyGroup>
    <TargetFramework>net6.0</TargetFramework>
    <Nullable>enable</Nullable>
    <ImplicitUsings>enable</ImplicitUsings>
  </PropertyGroup>

  <ItemGroup>
    <PackageReference Include="Blazorise.Bootstrap" Version="1.1.4.1" />
    <PackageReference Include="Blazorise.DataGrid" Version="1.1.4.1" />
    <PackageReference Include="Blazorise.Icons.FontAwesome" Version="1.1.4.1" />
    <PackageReference Include="Blazored.LocalStorage" Version="4.3.0" />
    <PackageReference Include="Blazored.Modal" Version="7.1.0" />
    <PackageReference Include="Microsoft.Extensions.Localization" Version="7.0.0" />
    <PackageReference Include="Microsoft.Extensions.Logging.Configuration" Version="7.0.0" />
  </ItemGroup>

  <ItemGroup>
    <None Remove="Blazored.LocalStorage" />
    <None Remove="Services\" />
    <None Remove="Factories\" />
    <None Remove="Blazored.Modal" />
    <None Remove="Modals\" />
    <None Remove="Microsoft.Extensions.Localization" />
    <None Remove="Controllers\" />
    <None Remove="Components\" />
    <None Remove="Microsoft.Extensions.Logging.Configuration" />
    <None Remove="DevExpress.Blazor.ProjectTemplates" />
    <None Remove="DevExpress.Data" />
  </ItemGroup>
  <ItemGroup>
    <Folder Include="Services\" />
    <Folder Include="Factories\" />
    <Folder Include="Modals\" />
    <Folder Include="Controllers\" />
    <Folder Include="Components\" />
  </ItemGroup>
  <ItemGroup>
    <EmbeddedResource Update="Resources\Pages.List.resx">
      <Generator>ResXFileCodeGenerator</Generator>
    </EmbeddedResource>
    <EmbeddedResource Update="Resources\Components.InventoryComp.resx">
      <Generator>ResXFileCodeGenerator</Generator>
      <LastGenOutput>Components.InventoryComp.Designer.cs</LastGenOutput>
    </EmbeddedResource>
    <EmbeddedResource Update="Resources\Components.InventoryComp.fr-FR.resx">
      <Generator>ResXFileCodeGenerator</Generator>
      <LastGenOutput>Components.InventoryComp.fr-FR.Designer.cs</LastGenOutput>
    </EmbeddedResource>
    <EmbeddedResource Update="Ressources\Components.InventoryComp.resx">
      <Generator>ResXFileCodeGenerator</Generator>
      <LastGenOutput>Components.InventoryComp.Designer.cs</LastGenOutput>
    </EmbeddedResource>
    <EmbeddedResource Update="Ressources\Components.InventoryComp.fr-FR.resx">
      <Generator>ResXFileCodeGenerator</Generator>
      <LastGenOutput>Components.InventoryComp.fr-FR.Designer.cs</LastGenOutput>
    </EmbeddedResource>
    <EmbeddedResource Update="Ressources\Pages.List.resx">
      <Generator>ResXFileCodeGenerator</Generator>
      <LastGenOutput>Pages.List.Designer.cs</LastGenOutput>
    </EmbeddedResource>
    <EmbeddedResource Update="Ressources\Pages.List.fr-FR.resx">
      <Generator>ResXFileCodeGenerator</Generator>
      <LastGenOutput>Pages.List.fr-FR.Designer.cs</LastGenOutput>
    </EmbeddedResource>
  </ItemGroup>
  <ItemGroup>
    <Compile Remove="Ressources\Components.InventoryComp.Designer.cs" />
    <Compile Remove="Ressources\Components.InventoryComp.fr-FR.Designer.cs" />
    <Compile Remove="Ressources\Pages.List.Designer.cs" />
    <Compile Remove="Ressources\Pages.List.fr-FR.Designer.cs" />
  </ItemGroup>
  <ItemGroup>
    <Compile Update="Resources\Pages.List.Designer.cs">
      <DependentUpon>Pages.List.resx</DependentUpon>
    </Compile>
    <Compile Update="Resources\Components.InventoryComp.Designer.cs">
      <DependentUpon>Components.InventoryComp.resx</DependentUpon>
    </Compile>
    <Compile Update="Resources\Components.InventoryComp.fr-FR.Designer.cs">
      <DependentUpon>Components.InventoryComp.fr-FR.resx</DependentUpon>
    </Compile>
    <Compile Update="Resources\Pages.List.fr-FR.Designer.cs">
      <DependentUpon>Pages.List.fr-FR.resx</DependentUpon>
    </Compile>
  </ItemGroup>
  <ItemGroup>
    <Content Condition="'$(ExcludeConfigFilesFromBuildOutput)'!='true'" Update="wwwroot\InventoryItems.json">
      <CopyToOutputDirectory>PreserveNewest</CopyToOutputDirectory>
    </Content>
  </ItemGroup>
</Project>
